Ticket #37543

Alias substitution should be recursive even in second words

Open Date: 2017-09-30 14:03 Last Update: 2017-10-08 15:36

Reporter: magicant Owner: magicant
Type: Bugs Status: Closed
Component: shell-main MileStone: (None)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

This should print "foo bar" rather than "f b".

alias echo='echo ' foo='f b' f='foo ' b='bar'
echo foo

Attachment File List

No attachments

Ticket History (3/5 Histories)

2017-09-30 14:03 Updated by: magicant
  • New Ticket "Alias substitution should be recursive even in second words" created
2017-09-30 14:25 Updated by: magicant
Comment

This should print "foo . . foo . ." rather than "f . foo"

alias echo='echo ' foo='f . ' f='foo . ' bar=foo
echo foo bar

2017-09-30 14:38 Updated by: magicant
Comment

This should print "foo n n foo n n" rather than "f n foo".

alias echo='echo ' foo='f n ' f='foo n ' bar=foo n='n '
echo foo bar
2017-10-01 15:46 Updated by: magicant
Comment

This should print "n foo n . foo n ." rather than "n f n foo".

alias echo='echo n ' foo='f n ' f='foo n ' bar=foo n=.
echo foo bar
2017-10-08 15:36 Updated by: magicant
  • Ticket Close date is changed to 2017-10-08 15:36
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

Fixed in r3799 and other commits.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login